Bug 170141 - postgresql buildrequires libxslt-devel
postgresql buildrequires libxslt-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 13:52 EDT by Tarhon-Onu Victor
Modified: 2013-07-02 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 11:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tarhon-Onu Victor 2005-10-07 13:52:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050824 Fedora/1.7.11-2

Description of problem:
Postgresql should require libxslt-devel at build time.

Version-Release number of selected component (if applicable):
postgresql-8.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild postgresql-8.0.4-2.src.rpm
2. the build will fail
3.
  

Actual Results:  If you try to build the binary RPM packages for postgresql-8.0.4-2 from Fedora Core devel the build process will fail with the following errors:

xslt_proc.c:18:26: error: libxslt/xslt.h: No such file or directory
xslt_proc.c:19:35: error: libxslt/xsltInternals.h: No such file or directory
xslt_proc.c:20:31: error: libxslt/transform.h: No such file or directory
xslt_proc.c:21:31: error: libxslt/xsltutils.h: No such file or directory
xslt_proc.c: In function 'xslt_process':
xslt_proc.c:48: error: 'xsltStylesheetPtr' undeclared (first use in this function)
xslt_proc.c:48: error: (Each undeclared identifier is reported only once
xslt_proc.c:48: error: for each function it appears in.)
xslt_proc.c:48: error: syntax error before 'stylesheet'
xslt_proc.c:102: error: 'stylesheet' undeclared (first use in this function)
xslt_proc.c:117: warning: assignment makes pointer from integer without a cast
make: *** [xslt_proc.o] Error 1
make: Leaving directory `/usr/src/redhat/BUILD/postgresql-8.0.4/contrib/xml2'
error: Bad exit status from /var/tmp/rpm-tmp.44985 (%build)
 
 
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.44985 (%build)


Expected Results:  rpmbuild should stop if libxslt-devel is not installed.

Additional info:

When it comes to rebuilding, libxslt-devel is from a long chain of dependencies: it needs libgcrypt-devel, libxml2-devel, libgpg-error-devel, and so on.
Comment 1 Tom Lane 2005-10-07 14:30:37 EDT
Whoops, missed that dependency.  Thanks for the report.

I shouldn't need to mention more than libxslt-devel, right?  Those other things
you mention should get pulled in indirectly.
Comment 2 Tarhon-Onu Victor 2005-10-10 01:48:18 EDT
I don't know for sure, you should check this. By example, at build time libxslt
requires libxml2-devel, but this doesn't mean that the package libxslt-devel
will require libxml2-devel to be installed before (in this particular example
this dependency exists).
Comment 3 Tom Lane 2005-12-20 11:41:50 EST
Fixed in postgresql-8.0.5-1.FC4.1.

Note You need to log in before you can comment on or make changes to this bug.